using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
  public  class repositorioTempRecbtos
    {

        public void Execute(entidadeTempRecbtos objTempRecbtos)
        {
            dalTempRecbtos dalTempRecbtos = null;

            try
            {
                dalTempRecbtos = new dalTempRecbtos();

                dalTempRecbtos.Execute(objTempRecbtos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute_1(entidadeTempRecbtos objTempRecbtos)
        {
            dalTempRecbtos dalTempRecbtos = null;

            try
            {
                dalTempRecbtos = new dalTempRecbtos();

                dalTempRecbtos.Execute_1(objTempRecbtos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Execute_2(entidadeTempRecbtos objTempRecbtos)
        {
            dalTempRecbtos dalTempRecbtos = null;
            DataTable dt = null;

            try
            {
                dalTempRecbtos = new dalTempRecbtos();
                dt = dalTempRecbtos.Execute_2(objTempRecbtos);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
